Gestiono
Referencia de APIResources / Resource

Create Resource cost bulk

← Back to full API reference
POST/v1/resource/cost/bulkAuth required

Resource endpoints let you create and maintain catalog items used across sales, purchasing, and inventory workflows.

  • Requires organization permissions for this resource.
  • Validated by Zod schema: postBulkCost.

Request details

Body fields

FieldRequiredDescription
costsYesType: arrayExample:
costs[]YesType: object
costs[].resourceIdNoType: number
costs[].skuNoType: string
costs[].defaultCostYesType: number
costs[].costStrategyNoEnum-like validator generated by zodFromObj

Default payloads

Path params

json
{}

Query

json
{}

Body

json
{
  "costs": [
    {
      "defaultCost": 1
    }
  ]
}

Sample response

json
{
  "success": true,
  "message": "<value>",
  "count": "<value>"
}